Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 18377

Description

Hi, QGis is deployed here with a user profile moved on a centralized network repository, thanks to --configpath startup option. 

When using it, user models are not added to toolbox hierarchy, even if I explicitly save them in profile/processing/models folders.

Probably related to that Model paths in options are not saved are options..

I set that as a blocker, since Processing is almost unusable then for us (many corp do move profiles..)

Régis

History

#1 - 2014-06-09 05:59 AM - Giovanni Manghi

- Priority changed from Severe/Regression to High

I'm changing this to non-blocker for different reasons:

a blocker means a regression, this should not be the case, and then processing can be always updated as plugin update, so I don't think that even a huge

issue should block a qgis release.

#2 - 2014-10-26 09:32 AM - Jürgen Fischer

- Subject changed from Processing - user models and scripts are not added if --configpath option is used to user models and scripts are not added if 

--configpath option is used

#3 - 2015-04-10 08:11 AM - Paolo Cavallini

- Category changed from 94 to Processing/Core

#4 - 2015-10-01 12:27 AM - Victor Olaya

- Status changed from Open to Feedback

I am not able to reproduce this

Using the configpath option, the models folder default value will be [configpath]/processing/models

It works fine when saving models to that folder, and models are loaded when QGIS is reopened

The models folder can be changes to point to any other folder, and the setting is correctly saved.
Can you provide more detail about this issue?

Thanks!

#5 - 2015-12-20 09:43 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback, reopen if necessary.
